/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: Introspection.idl,v $
 * $Revision: 1.9 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __com_sun_star_beans_Introspection_idl__ 
#define __com_sun_star_beans_Introspection_idl__ 
 
#ifndef __com_sun_star_beans_XIntrospection_idl__ 
#include <com/sun/star/beans/XIntrospection.idl> 
#endif 
 
 
//============================================================================= 
 
 module com {  module sun {  module star {  module beans {  
 
//============================================================================= 
/** provides functionality to get information about an object's
    properties and methods.
    <p><strong>Important note:</strong>An object can only be
    inspected completely if it supports the <type scope=
    "com::sun::star::lang">XTypeProvider</type> interface.</p>
    
    <p>For details see method <member>XIntrospection::inspect
    </member>.</p>
 */
published service Introspection
{ 
    /// The only interface of this service
    interface com::sun::star::beans::XIntrospection; 
 
}; 
 
//============================================================================= 
 
}; }; }; };  
 
#endif 
